summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:12 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:12 +0200
commit1dcdda6e136b23efa1663b7676cd0254c758c3df (patch)
tree9514bc68398c1ecd979a3efc5b344644fb1ccb4f /multimedia
parent96e232939b13ded7309656e2ba6bccc9933798ff (diff)
downloadslackbuilds-1dcdda6e136b23efa1663b7676cd0254c758c3df.tar.gz
slackbuilds-1dcdda6e136b23efa1663b7676cd0254c758c3df.tar.xz
multimedia/amrwb: Added to 12.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/amrwb/README15
-rw-r--r--multimedia/amrwb/amrwb.SlackBuild65
-rw-r--r--multimedia/amrwb/amrwb.info8
-rw-r--r--multimedia/amrwb/slack-desc12
4 files changed, 100 insertions, 0 deletions
diff --git a/multimedia/amrwb/README b/multimedia/amrwb/README
new file mode 100644
index 0000000000..01253b45c8
--- /dev/null
+++ b/multimedia/amrwb/README
@@ -0,0 +1,15 @@
+amrnb - AMR Wide Band Speech Codec
+
+This is library is an effort to link against the amrwb-codec,
+standardized by the 3GPP, and used in modern mobile-phones
+when recording video or speech, for example.
+
+The library itself is actually just a wrapper around the original code
+released by 3GPP.
+
+You will need to get the 26204-700.zip file and place it in the same
+directory as the SlackBuild script *before* attempting to build this.
+See the following page for more information:
+ http://www.3gpp.org/ftp/Specs/html-info/26204.htm
+A direct link to the zip file is here:
+ http://www.3gpp.org/ftp/Specs/archive/26_series/26.204/26204-700.zip
diff --git a/multimedia/amrwb/amrwb.SlackBuild b/multimedia/amrwb/amrwb.SlackBuild
new file mode 100644
index 0000000000..e82a3252a0
--- /dev/null
+++ b/multimedia/amrwb/amrwb.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for amrwb
+# Written by ppr:kut <hmwiesinger@gmx.at>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=amrwb
+VERSION=7.0.0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-shared \
+ --disable-static \
+ --localstatedir=/var
+
+if [ -e $CWD/26204-700.zip ]; then
+ cp $CWD/26204-700.zip .
+else
+ echo
+ echo "$CWD/26204-700.zip was not found."
+ echo "Go back and read $CWD/README again."
+ echo
+ exit 1
+fi
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/amrwb/amrwb.info b/multimedia/amrwb/amrwb.info
new file mode 100644
index 0000000000..ce4e5a3979
--- /dev/null
+++ b/multimedia/amrwb/amrwb.info
@@ -0,0 +1,8 @@
+PRGNAM="amrwb"
+VERSION="7.0.0.2"
+HOMEPAGE="http://www.penguin.cz/~utx/amr"
+DOWNLOAD="http://ftp.penguin.cz/pub/users/utx/amr/amrwb-7.0.0.2.tar.bz2"
+MD5SUM="ab6d134fdc36aadd45232ce36f8e12ac"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/multimedia/amrwb/slack-desc b/multimedia/amrwb/slack-desc
new file mode 100644
index 0000000000..13f8cc4c54
--- /dev/null
+++ b/multimedia/amrwb/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler-----------------------------------------------------|
+amrwb: amrwb (AMR Wide Band Speech Codec)
+amrwb:
+amrwb: 3GPP Adaptive Multi-Rate Floating-point (AMR)
+amrwb: Speech Codec Shared Library. This codec is for
+amrwb: example used in mobile-phones.
+amrwb:
+amrwb: Homepage: http://www.penguin.cz/~utx/amr
+amrwb:
+amrwb:
+amrwb:
+amrwb: